<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
 * Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
 * Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>Options Window: Java: GUI Builder</title>
	<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
    </head>

    <body>

        <h2>Options Window: Java: GUI Builder</h2>
        <p><small><a href="#seealso">See Also</a></small></p>
        <p>You use this panel to configure code generation properties for the GUI Builder.</p> 
        <p>You can access this panel by choosing Tools &gt; Options from the main menu, clicking the Java category and then clicking the GUI Builder tab.</p> 

        <p><b>Code Generation settings</b></p>
        <ul>
	    <li><b>Generate Components as.</b> Select how the GUI Builder components are generated. </li>
            <li><b>Variables Modifier.</b> Select from the drop-down list an access modifier for variables generated for components on the form.</li>
            <li><b>Listener Generation Style.</b> Determines how the code for component events and their handlers is generated. All of the options produce functionally equivalent code, but each option has different performance qualities. Select one of the following options from the drop-down list:
            <ul>
                <li><b>Anonymous Inner Classes.</b> One anonymous inner class is generated for each event. This option might have a negative impact on the performance and memory of the application because the application must load and keep open many classes when the form is executed.</li>
                <li><b>One Inner Class.</b> One common inner class is generated for the whole form. This innerclass implements all necessary listeners and dispatches all events to the attached event handlers. The resulting code is less compact and slightly less efficient, but the anonymous innerclasses are eliminated. This option is particularly suitable for large forms with many components and event handlers.</li>
                <li><b>Main Class.</b> The form's main class implements the listeners. No special innerclass for events is generated. This is the most efficient option, but it does not work well with all types of forms. This option should only be used if the form class does not declare any listener implementation that could interact with events that are generated by components in the form.</li>
            </ul></li>
            <li><b>Automatic Internationalization.</b> Select an option from the drop-down list to specify
            if the GUI Builder should automatically generate the properties files where internationalized strings are stored.</li>
            <li><b>Layout Generation Style.</b> Determines whether GroupLayout code 
            is generated to use a separate library or to use the APIs available in 
            JDK 6. If your applications need to run on version 5 of the Java Platform, 
            select Swing Layout Extensions Library.</li>
            <li><b>Set Component Names.</b> If On, the <tt>name</tt> property 
            of all components is automatically set to the name of the component's variable.</li>
			<li><b>Generate Fully Qualified Names of Classes.</b> If selected, 
            code for components that you add with the Palette is generated with 
            fully-qualified class names.</li>
            <li><b>Fold Generated Code.</b> If selected, generated code is folded in the Source Editor.</li>
            <li><b>Show Assistant.</b> If selected, the GUI Builder Assistant is displayed in design view.</li>
            
            <li><b>Guiding Line Color.</b> Color of the placement guidelines
            displayed when moving a component.</li>
            <li><b>Selection Border Color.</b> Color of the boxes around a
            component that mark it as selected.</li>
			<li><b>Grid Size.</b> Specify the spacing, in pixels, between horizontal and vertical gridlines of the GUI Builder. The default size is 10. The maximum size is 100.</li>
        </ul>
        
  
        <dl>
            <dt>
            <a name="seealso">See Also</a></dt>
            <dd><a href="../gui/gui_about.html">About Java GUIs</a></dd>
            <dd><a href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/configure/configure_options.html">Using the Options Window</a></dd>
        </dl>
        <hr>
        <small><a href="../credits.html">Legal Notices</a></small>
        <table border="0" cellpadding="50">
            <tr>
                <td>&nbsp;</td>
            </tr>
        </table>
    </body>
</html>

